Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Sys::Hostname

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Sys::Hostname

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR

# NAME

Sys::Hostname - Try every conceivable way to get hostname

# SYNOPSIS

        use Sys::Hostname;    $host = hostname;

# DESCRIPTION

Attempts several methods of getting the system hostname and then caches the result. It tries the first available of the C library's gethostname(), ``$Config{aphostname}`` , uname(2), `syscall(SYS_gethostname)`, ``hostname`` , ``uname -n`` , and the file /com/host. If all that fails it `croak` s.

All NULs, returns, and newlines are removed from the result.

# AUTHOR

David Sundstrom <sunds@asictest.sc.ti.com>

Texas Instruments

XS code added by Greg Bacon <gbacon@cs.uah.edu>

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR